#pragma once

#include <stdint.h>

struct EthernetConfiguration {

    // The MAC address of the ethernet connection
    uint8_t macAddress[6];

    // The master-in slave-out pin of the SPI connection for the Ethernet module
    int8_t spiPinMiso;

    // The master-out slave-in pin of the SPI connection for the Ethernet module
    int8_t spiPinMosi;

    // The slave clock pin of the SPI connection for the Ethernet module
    int8_t spiPinSclk;

    // The slave-select pin of the SPI connection for the Ethernet module
    int8_t spiPinSS;

    unsigned long dhcpLeaseTimeoutMs;
    unsigned long dhcpLeaseResponseTimeoutMs;

    // The static IP address to assign if DHCP fails
    uint8_t manualIp[4];

    // The IP address of the DNS server, if DHCP fails
    uint8_t manualDnsAddress[4];

};