#pragma once

#include <stdint.h>

#pragma pack(push, 1)

/**
 * @brief A private key for asymmetric cryptography
 */
struct PrivateKey {

    /// @brief The size of a private key
    static const int size = 32;

    uint8_t bytes[size];

};

/**
 * @brief A public key for asymmetric cryptography
 */
struct PublicKey {

    /// @brief The size of a public key
    static const int size = 32;

    uint8_t bytes[size];

};

/**
 * @brief A signature of some data using a private key
 */
struct Signature {

    /// @brief The size of a message signature
    static const int size = 64;

    uint8_t bytes[size];

};

#pragma pack(pop)