#include "interface/ESP32NoiseSource.h"

#include <esp_random.h>
#include <bootloader_random.h>

ESP32NoiseSource::ESP32NoiseSource() {
    // Ensure that there is randomness even if Bluetooth and WiFi are disabled
    bootloader_random_enable();
}

bool ESP32NoiseSource::calibrating() const {
    return false;
}

void ESP32NoiseSource::stir() {
    esp_fill_random(data, randomNumberBatchSize);
    output(data, randomNumberBatchSize, randomNumberBatchSize * 8);
}
