#include "interface/ESP32StorageSource.h"
#include <EEPROM.h>

bool ESP32StorageSource::writeByteAtIndex(uint8_t byte, uint16_t index) {
    // TODO: What does return value mean?
    EEPROM.writeByte((int) index, byte);
    return true;
}

bool ESP32StorageSource::canProvideStorageWithSize(uint16_t size) {
    return EEPROM.begin(size);
}

bool ESP32StorageSource::commitData() {
    return EEPROM.commit();
} 

uint8_t ESP32StorageSource::readByteAtIndex(uint16_t index) {
    return EEPROM.readByte((int) index);
}

uint16_t ESP32StorageSource::readBytes(uint16_t startIndex, uint16_t count, uint8_t* output) {
    return EEPROM.readBytes(startIndex, output, count);
}

uint16_t ESP32StorageSource::writeBytes(uint8_t* bytes, uint16_t count, uint16_t startIndex) {
    return EEPROM.writeBytes(startIndex, bytes, count);
}